﻿@model List<Portal_Proveedor.Models.OnBase.ExcelResultado>
@{
    ViewBag.Title = "CargaDeFacturas";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<br />
<br />

<h2>Resultado de la carga masiva</h2>

<br />

<div class="table-responsive-md">
    <table class="table">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Orden de Compra</th>
                <th scope="col">N&uacute;mero fiscal</th>
                <th scope="col">Estado</th>
            </tr>
        </thead>

        @foreach (var item in Model)
            {                
                <tbody>
                    <tr>
                        <th scope="row">
                            @item.consecutivo
                        </th>
                        <td>
                            @item.numeroPO
                        </td>
                        <td>
                            @item.numeroFiscal
                        </td>
                        <td>
                            @if (item.Estado == "Factura cargada exitosamente.")
                            {
                                <img src="~/Content/images/checked.png" />
                            }
                            else
                            {
                                <img src="~/Content/images/cancel.png" />
                            }
                            @item.Estado
                        </td>
                    </tr>
                </tbody>
            }
    </table>
</div>

<script type="text/javascript">
    $(window).load(function () {
        // Animate loader off screen
        $(".se-pre-con").fadeOut("fast");
    });
    $(window).on('beforeunload', function () {
        $(".se-pre-con").fadeIn(50);
    });
</script>